Skip to main content
GET
Get crawl pages

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

jobId
string<uuid>
required

The crawl's or extraction's jobId.

Query Parameters

offset
integer
default:0

How many pages to skip.

Required range: x >= 0
limit
integer
default:1000

Pages per call, from 1 to 1,000. Higher values are capped at 1,000.

Required range: 1 <= x <= 1000

Response

One batch of pages.

pages
object[]

The pages in this batch. Uses snake_case field names.

total
integer

How many pages the crawl has in all.

offset
integer

The offset used.

limit
integer

The limit used.

hasMore
boolean

true when there are more pages after this batch.